### Function

# Foundry TextBufferCommitNotify

since: 1.1

#### Declaration

    void
    (* FoundryTextBufferCommitNotify) (
      FoundryTextBuffer* buffer,
      FoundryTextBufferNotifyFlags flags,
      guint position,
      guint length,
      gpointer user_data
    )

#### Description [src]

This callback maps to the same semantics as in GTK.

Available since: 1.1

#### Parameters

`buffer`

  Type: `FoundryTextBuffer`

  The text buffer being notified.

  The data is owned by the caller of the function.

`flags`

  Type: `FoundryTextBufferNotifyFlags`

  The type of commit notification.

`position`

  Type: `guint`

  The position of the text operation.

`length`

  Type: `guint`

  The length of the text operation in characters.

`user_data`

  Type: `gpointer`

  User data passed to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.